# Node.js with React
# Build a Node.js project that uses React.
# Add steps that analyze code, save build artifacts, deploy, and more:
# https://docs.microsoft.com/azure/devops/pipelines/languages/javascript

trigger:
  branches:
    include:
      - main
      - feature/*

pool:
  vmImage: ubuntu-latest

steps:
  - task: NodeTool@0
    inputs:
      versionSpec: "18.x"
    displayName: "Install Node.js"

  - task: SonarCloudPrepare@1
    inputs:
      SonarCloud: 'SonarCloud'
      organization: 'lucas-paulger-sonarsource'
      scannerMode: 'CLI'
      projectKey: 'lucas-paulger-sonarsource_react-demo'
      projectName: 'react-demo'

  - task: SonarCloudAnalyze@1
    inputs:
      jdkversion: 'JAVA_HOME_17_X64'

  - task: SonarCloudPublish@1
    inputs:
      pollingTimeoutSec: '300'

  - script: |
      npm install
      npm run build
    displayName: "npm install and build"
